// HomeDlg.h : header file
//

#if !defined(AFX_HOMEDLG_H__BF0599B6_2556_4575_8814_0EF4883ADA15__INCLUDED_)
#define AFX_HOMEDLG_H__BF0599B6_2556_4575_8814_0EF4883ADA15__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "StateMonitorDlg.h"

/////////////////////////////////////////////////////////////////////////////
// CHomeDlg dialog

class CHomeDlg : public CDialog
{
// Construction
public:
	void ConfigMotion();
	void ShowCeSdkError(int nErrCode);
	CHomeDlg(CWnd* pParent = NULL);	// standard constructor

	CStateMonitorDlg *m_pStateMonDlg;

// Dialog Data
	//{{AFX_DATA(CHomeDlg)
	enum { IDD = IDD_HOME_DIALOG };
	CComboBox	m_cmbAxisSel;
	int		m_nDirection;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CHomeDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

	long m_nNumAxes;

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CHomeDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnResetPos();
	afx_msg void OnGoHome();
	afx_msg void OnStop();
	afx_msg void OnDestroy();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnHomeConfig();
	afx_msg void OnBtnViewstatemon();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_HOMEDLG_H__BF0599B6_2556_4575_8814_0EF4883ADA15__INCLUDED_)
