// OverridePositionDlg.h : header file
//

#if !defined(AFX_OVERRIDEPOSITIONDLG_H__2A474550_D9ED_4D6D_8CF3_EC8E36CC13DA__INCLUDED_)
#define AFX_OVERRIDEPOSITIONDLG_H__2A474550_D9ED_4D6D_8CF3_EC8E36CC13DA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "StateMonitorDlg.h"

/////////////////////////////////////////////////////////////////////////////
// COverridePositionDlg dialog

class COverridePositionDlg : public CDialog
{
// Construction
public:
	void ConfigMotion();
	void ShowCeSdkError(int nErrCode);
	COverridePositionDlg(CWnd* pParent = NULL);	// standard constructor

	long	m_nNumAxes;

	CStateMonitorDlg *m_pStateMonDlg;

// Dialog Data
	//{{AFX_DATA(COverridePositionDlg)
	enum { IDD = IDD_OVERRIDEPOSITION_DIALOG };
	CSliderCtrl	m_sldSpeedRatio;
	CComboBox	m_cmbAxisSel;
	double	m_fPosInput;
	double	m_fOvrPosInput;
	int		m_nIsAbsMode;
	int		m_nHardApply;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COverridePositionDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(COverridePositionDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnResetPos();
	afx_msg void OnbtnSpeedSetup();
	afx_msg void OnDestroy();
	afx_msg void OnbtnMove();
	afx_msg void OnbtnStop();
	afx_msg void OnBtnViewstatemon();
	afx_msg void OnBtnOvrMove();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OVERRIDEPOSITIONDLG_H__2A474550_D9ED_4D6D_8CF3_EC8E36CC13DA__INCLUDED_)
