// OverrideSpeedDlg.h : header file
//

#if !defined(AFX_OVERRIDESPEEDDLG_H__4070898F_E12E_4A2C_8AEE_550EB1EC4B85__INCLUDED_)
#define AFX_OVERRIDESPEEDDLG_H__4070898F_E12E_4A2C_8AEE_550EB1EC4B85__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "StateMonitorDlg.h"

/////////////////////////////////////////////////////////////////////////////
// COverrideSpeedDlg dialog

class COverrideSpeedDlg : public CDialog
{
// Construction
public:
	void ConfigMotion();
	void ShowCeSdkError(int nErrCode);
	COverrideSpeedDlg(CWnd* pParent = NULL);	// standard constructor

	long	m_nNumAxes;

	CStateMonitorDlg *m_pStateMonDlg;

// Dialog Data
	//{{AFX_DATA(COverrideSpeedDlg)
	enum { IDD = IDD_OVERRIDESPEED_DIALOG };
	CSliderCtrl	m_sldVelRatio;
	CSliderCtrl	m_sldDecRatio;
	CSliderCtrl	m_sldAccRatio;
	CComboBox	m_cmbSpeedMode;
	CComboBox	m_cmbAxisSel;
	double	m_fAccel;
	double	m_fDecel;
	double	m_fVel;

	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COverrideSpeedDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(COverrideSpeedDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnStart();
	afx_msg void OnStop();
	afx_msg void OnSelchangeAxisSel();
	afx_msg void OnOverrideSpeedPattern();
	afx_msg void OnOverrideSpeedRatio();
	afx_msg void OnDestroy();
	afx_msg void OnBtnViewstatemon();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OVERRIDESPEEDDLG_H__4070898F_E12E_4A2C_8AEE_550EB1EC4B85__INCLUDED_)
