// SpeedSetup.cpp : implementation file
//

#include "stdafx.h"
#include "SpeedSetup.h"
#include "..\Common\ceSDK.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSpeedSetup dialog


CSpeedSetup::CSpeedSetup(CWnd* pParent /*=NULL*/)
	: CDialog(CSpeedSetup::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSpeedSetup)
	m_fAcc = 0.0;
	m_fDec = 0.0;
	m_fVini = 0.0;
	m_fVwork = 0.0;
	m_nSpeedMode = -1;
	//}}AFX_DATA_INIT
}


void CSpeedSetup::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSpeedSetup)
	DDX_Text(pDX, IDC_edtAcc, m_fAcc);
	DDX_Text(pDX, IDC_edtDec, m_fDec);
	DDX_Text(pDX, IDC_edtVini, m_fVini);
	DDX_Text(pDX, IDC_edtVwork, m_fVwork);
	DDX_CBIndex(pDX, IDC_cmbSpeedMode, m_nSpeedMode);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSpeedSetup, CDialog)
	//{{AFX_MSG_MAP(CSpeedSetup)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSpeedSetup message handlers

BOOL CSpeedSetup::OnInitDialog() 
{
	CDialog::OnInitDialog();

	UpdateData(TRUE);
	// ȭ鿡 ʱⰪ ϱ ؼ  Ǿ ִ ӵ  оδ. //
	cemCfgSpeedPattern_Get(m_nAxis, (long *)&m_nSpeedMode, &m_fVwork, &m_fAcc, &m_fDec);

	// ӵ  Ʈ ǥ //
	char szSpeedUnit[256];
	CString sAccUnit;
	strcpy(szSpeedUnit, "pulse");
	sAccUnit = szSpeedUnit + CString("/sec");
	GetDlgItem(IDC_lblViniUnit)->SetWindowText(szSpeedUnit);
	GetDlgItem(IDC_lblVworkUnit)->SetWindowText(szSpeedUnit);
	GetDlgItem(IDC_lblAccUnit)->SetWindowText(szSpeedUnit);
	GetDlgItem(IDC_lblDecUnit)->SetWindowText(szSpeedUnit);

	UpdateData(FALSE);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

