// SxMotion_2VelDlg.h : header file
//
//{{AFX_INCLUDES()
#include "comigraph.h"
//}}AFX_INCLUDES

#if !defined(AFX_SXMOTION_2VELDLG_H__F7B99C39_F25A_423A_B5EE_4609E62CFE3B__INCLUDED_)
#define AFX_SXMOTION_2VELDLG_H__F7B99C39_F25A_423A_B5EE_4609E62CFE3B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CSxMotion_2VelDlg dialog

class CSxMotion_2VelDlg : public CDialog
{
// Construction
public:
	void OnResetPlot();
	void SetLedState(int nLedId, int nLedState);
	CString GetMstString(DWORD dwMst);
	void ConfigMotion();
	void ShowCeSdkError(int nErrCode);
	CSxMotion_2VelDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CSxMotion_2VelDlg)
	enum { IDD = IDD_SXMOTION_2VEL_DIALOG };
	CEdit	m_edtVini;
	CEdit	m_edtDec;
	CEdit	m_edtAcc;
	CEdit	m_editVvel2;
	CEdit	m_editVvel1;
	CComboBox	m_cmbSpeedMode;
	CComboBox	m_cmbAxisSel;
	double	m_fDistPos;
	CComiGraph	m_ComiGraph;
	CString	m_sMotState;
	CString	m_sPosC;
	CString	m_sPosF;
	CString	m_sSpeedC;
	CString	m_sSpeedF;
	int		m_nMoveMode;
	int		m_nSpeedMode;
	double	m_fAcc;
	double	m_fDec;
	double	m_fVini;
	double	m_fVvel1;
	double	m_fVvel2;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSxMotion_2VelDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

	long	m_nNumAxes;
	long	m_nAxis;
	CBitmap m_LedBmp[3];

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CSxMotion_2VelDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnbtnResetPos();
	afx_msg void OnBtnMove();
	afx_msg void OnBtnStop();
	afx_msg void OnDestroy();
	afx_msg void OnchkServoOn();
	afx_msg void OnBtnResetgraph();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SXMOTION_2VELDLG_H__F7B99C39_F25A_423A_B5EE_4609E62CFE3B__INCLUDED_)
