VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   "AnalogOutput Example"
   ClientHeight    =   4395
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   5490
   LinkTopic       =   "Form1"
   ScaleHeight     =   4395
   ScaleWidth      =   5490
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdOutput 
      Caption         =   "Output"
      Height          =   615
      Left            =   2040
      TabIndex        =   12
      Top             =   3240
      Width           =   2775
   End
   Begin VB.TextBox txtDigit 
      BeginProperty DataFormat 
         Type            =   1
         Format          =   "0"
         HaveTrueFalseNull=   0
         FirstDayOfWeek  =   0
         FirstWeekOfYear =   0
         LCID            =   1042
         SubFormatType   =   1
      EndProperty
      Height          =   375
      Left            =   2040
      TabIndex        =   8
      Text            =   "16384"
      Top             =   2760
      Width           =   975
   End
   Begin VB.TextBox txtCurrent 
      BeginProperty DataFormat 
         Type            =   1
         Format          =   "0.00"
         HaveTrueFalseNull=   0
         FirstDayOfWeek  =   0
         FirstWeekOfYear =   0
         LCID            =   1042
         SubFormatType   =   1
      EndProperty
      Height          =   375
      Left            =   2040
      TabIndex        =   7
      Text            =   "4.00"
      Top             =   2160
      Width           =   975
   End
   Begin VB.TextBox txtVoltage 
      BeginProperty DataFormat 
         Type            =   1
         Format          =   "0.00"
         HaveTrueFalseNull=   0
         FirstDayOfWeek  =   0
         FirstWeekOfYear =   0
         LCID            =   1042
         SubFormatType   =   1
      EndProperty
      Height          =   375
      Left            =   2040
      TabIndex        =   6
      Text            =   "5.00"
      Top             =   1680
      Width           =   975
   End
   Begin VB.OptionButton rdoOutputType 
      Caption         =   "digit"
      Height          =   255
      Index           =   2
      Left            =   480
      TabIndex        =   5
      Top             =   2880
      Width           =   1335
   End
   Begin VB.OptionButton rdoOutputType 
      Caption         =   "current"
      Height          =   255
      Index           =   1
      Left            =   480
      TabIndex        =   4
      Top             =   2280
      Width           =   1335
   End
   Begin VB.OptionButton rdoOutputType 
      Caption         =   "voltage"
      Height          =   255
      Index           =   0
      Left            =   480
      TabIndex        =   3
      Top             =   1680
      Value           =   -1  'True
      Width           =   1335
   End
   Begin VB.CommandButton cmdNodeScan 
      Caption         =   "Node Scan"
      Height          =   615
      Left            =   240
      TabIndex        =   2
      Top             =   480
      Width           =   1095
   End
   Begin VB.ComboBox cmbChList 
      Height          =   315
      Left            =   2760
      Style           =   2  'Dropdown List
      TabIndex        =   0
      Top             =   720
      Width           =   1815
   End
   Begin VB.Label Label4 
      Caption         =   "Digit ( -32768 ~ 32767 )"
      Height          =   375
      Left            =   3120
      TabIndex        =   11
      Top             =   2760
      Width           =   2175
   End
   Begin VB.Label Label3 
      Caption         =   "mA ( 4 ~ 20 mA )"
      Height          =   375
      Left            =   3120
      TabIndex        =   10
      Top             =   2280
      Width           =   2415
   End
   Begin VB.Label Label2 
      Caption         =   "Volt ( -10 ~ 10 V )"
      Height          =   375
      Left            =   3120
      TabIndex        =   9
      Top             =   1680
      Width           =   2175
   End
   Begin VB.Label Label1 
      Alignment       =   1  'Right Justify
      Caption         =   "channel"
      Height          =   375
      Left            =   2040
      TabIndex        =   1
      Top             =   720
      Width           =   615
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim g_nOutputType As Integer

Private Sub cmdNodeScan_Click()
    Call NodeScan
End Sub


Private Sub cmdOutput_Click()
    
    Dim nCh As Integer
    Dim nDigit As Long
    Dim fVolt, fCurrent As Double
    
    nCh = cmbChList.ListIndex
    
    fVolt = Val(txtVoltage.Text)
    fCurrent = Val(txtCurrent.Text)
    nDigit = Val(txtDigit.Text)
    
    If g_nOutputType = 0 Then 'Voltage 
        Call ceaoVolt_Out(nCh, fVolt)
    ElseIf g_nOutputType = 1 Then 'Current 
        Call ceaoCurrent_Out(nCh, fCurrent)
    ElseIf g_nOutputType = 2 Then 'Digit 
        Call ceaoDigit_Out(nCh, nDigit)
    End If
End Sub

Private Sub Form_Unload(Cancel As Integer)
    Call ceGnUnload
End Sub

Private Sub NodeScan()
    Dim nResult, nNumNodes, nIsSearchedDev, nAOChNum As Long
    Dim sVal As String
    
    'cEIP ǰ  ̽ ε
    nResult = ceGnLoad()
    If nResult <> ceERR_NONE Then
        MsgBox ("ceGnLoad Failed!")
        End
    End If
    
    Call ceGnIsSearchedDevice(nIsSearchedDev)
    
    ' ˻
    If nIsSearchedDev = CE_FALSE Then
        ' ˻ ȵ  ű ˻ մϴ.
        nResult = ceGnSearchDevice(EXPECTED_NODECOUNT, TIMEOUT, False, nNumNodes)
        If nResult < 0 Then
            MsgBox (" ˻ !, ٽ ˻ ϼ")
        End If
    Else
        '带 ˻մϴ.
        nResult = ceGnReSearchDevice(EXPECTED_NODECOUNT, TIMEOUT, False, nNumNodes)
        If nResult < 0 Then
            MsgBox (" ˻ !, ٽ ˻ ϼ")
        End If
        
    End If
    
    nAOChNum = 0
    nResult = ceGnTotalAOChannel(nAOChNum)
    If nResult < 0 Then
        MsgBox ("ceGnTotalAOChannel Լ ")
    End If
    
    If nAOChNum > 0 Then
    
        cmbChList.Clear
        
        For i = 0 To nAOChNum - 1
            sVal = "CH " & Str(i)
            Call cmbChList.AddItem(sVal, i)
        Next i
        
        cmbChList.ListIndex = 0
        
    End If

End Sub


Private Sub Form_Load()
    Call NodeScan
        
    g_nOutputType = 0 'Voltage 
        
End Sub

Private Sub rdoOutputType_Click(Index As Integer)
    g_nOutputType = Index
End Sub
