#if !defined(AFX_HOMESETUP_H__AE50705F_E630_42C7_870E_7484719DF541__INCLUDED_)
#define AFX_HOMESETUP_H__AE50705F_E630_42C7_870E_7484719DF541__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// HomeSetup.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CHomeSetup dialog

class CHomeSetup : public CDialog
{
private:
	int m_nAxis;

public:
	void SetAxis(int nAxis) { m_nAxis = nAxis; }
	int GetAxis() {return(m_nAxis);}

// Construction
public:
	CHomeSetup(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CHomeSetup)
	enum { IDD = IDD_HomeSetup };
	BOOL	m_bErcOut;
	int		m_nEzLogic;
	int		m_nHomeMode;
	int		m_nOrgLogic;
	int		m_nSpeedMode;
	int		m_nDirection;
	double	m_fDec;
	double	m_fAcc;
	double	m_fEscDist;
	double	m_fOffsetDist;
	double	m_fRvsSpeed;
	double	m_fWorkSpeed;
	long	m_nEzCount;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CHomeSetup)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CHomeSetup)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_HOMESETUP_H__AE50705F_E630_42C7_870E_7484719DF541__INCLUDED_)
