// IxLinearDlg.h : header file
//

#if !defined(AFX_IXLINEARDLG_H__F926FB8B_1B45_4E15_80AD_22016BC0D17F__INCLUDED_)
#define AFX_IXLINEARDLG_H__F926FB8B_1B45_4E15_80AD_22016BC0D17F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "StateMonitorDlg.h"

/////////////////////////////////////////////////////////////////////////////
// CIxLinearDlg dialog

class CIxLinearDlg : public CDialog
{
public:
	long m_nAxis;
	long	m_nNumAxes;
	BOOL m_bIsIxMapValid; // Interpolation Axes Map õǾ 
// Construction
public:
	void ConfigMotion();
	void ShowCeSdkError(int nErrCode);
	CIxLinearDlg(CWnd* pParent = NULL);	// standard constructor

	CStateMonitorDlg *m_pStateMonDlg;

// Dialog Data
	//{{AFX_DATA(CIxLinearDlg)
	enum { IDD = IDD_IXLINEAR_DIALOG };
	CComboBox	m_cmbAxisSelY;
	CComboBox	m_cmbAxisSelX;
	int		m_bIsVectorSpeed;
	double	m_fPosDataX;
	double	m_fPosDataY;
	int		m_bIsAbsPosMode;
	int		m_nMastSpeedMode;
	int		m_nVectSpeedMode;
	double	m_fMastAcc;
	double	m_fMastDec;
	double	m_fMastVel;
	double	m_fVectAcc;
	double	m_fVectDec;
	double	m_fVectVel;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CIxLinearDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CIxLinearDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnResetPositions();
	afx_msg void OnGo();
	afx_msg void OnStop();
	afx_msg void OnIxSpdTypeChange();
	afx_msg void OnDestroy();
	afx_msg void OnBtnViewstatemon();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_IXLINEARDLG_H__F926FB8B_1B45_4E15_80AD_22016BC0D17F__INCLUDED_)
