// ManualPulsarDlg.h : header file
//

#if !defined(AFX_MANUALPULSARDLG_H__DC5F5D04_179A_4D5B_93A9_956573453AB2__INCLUDED_)
#define AFX_MANUALPULSARDLG_H__DC5F5D04_179A_4D5B_93A9_956573453AB2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "StateMonitorDlg.h"

/////////////////////////////////////////////////////////////////////////////
// CManualPulsarDlg dialog

class CManualPulsarDlg : public CDialog
{
// Construction
public:
	void ConfigMotion();
	void ShowCeSdkError(int nErrCode);
	CString GetMstString(DWORD dwMst);
	CManualPulsarDlg(CWnd* pParent = NULL);	// standard constructor

	long	m_nNumAxes;

	CStateMonitorDlg *m_pStateMonDlg;

// Dialog Data
	//{{AFX_DATA(CManualPulsarDlg)
	enum { IDD = IDD_MANUALPULSAR_DIALOG };
	UINT	m_uGainFactor;
	UINT	m_uDivFactor;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CManualPulsarDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CManualPulsarDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnDestroy();
	afx_msg void OnBtnMove();
	afx_msg void OnBtnStop();
	afx_msg void OnSelchangeCmbOpmode();
	afx_msg void OnBtnStopAxis0();
	afx_msg void OnBtnStopAxis1();
	afx_msg void OnBtnStopAxis2();
	afx_msg void OnBtnStopAxis3();
	afx_msg void OnBtnStopAxis4();
	afx_msg void OnBtnStopAxis5();
	afx_msg void OnBtnViewstatemon();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MANUALPULSARDLG_H__DC5F5D04_179A_4D5B_93A9_956573453AB2__INCLUDED_)
