// SxMotionDlg.h : header file
//

#if !defined(AFX_SXMOTIONDLG_H__0927327E_3E58_499D_AE6D_7BC1F83DDBC4__INCLUDED_)
#define AFX_SXMOTIONDLG_H__0927327E_3E58_499D_AE6D_7BC1F83DDBC4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CSxMotionDlg dialog

#include "JogButton.h" // ư 콺 down/up ̺Ʈ ó ֱ ؼ...
#include "StateMonitorDlg.h"

class CSxMotionDlg : public CDialog
{
public:
	long m_nAxis;
	
// Construction
public:
	void ConfigMotion();
	void ShowCeSdkError(int nErrCode);
	CSxMotionDlg(CWnd* pParent = NULL);	// standard constructor

	CStateMonitorDlg *m_pStateMonDlg;
// Dialog Data
	//{{AFX_DATA(CSxMotionDlg)
	enum { IDD = IDD_SXMOTION_DIALOG };
	CJogButton	m_btnMoveP;
	CJogButton	m_btnMoveN;
	CSliderCtrl	m_sldSpeedRatio;
	CComboBox	m_cmbAxisSel;
	int		m_nJogMode;
	double	m_fDistance;
	double	m_fPos1;
	double	m_fPos2;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSxMotionDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

	long	m_nNumAxes;

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CSxMotionDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnJogModeSelect();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnStop();
	afx_msg void OnResetPos();
	afx_msg void OnSpeedSetup();
	afx_msg void OnDestroy();
	afx_msg void OnButton1();
	afx_msg void OnButton2();
	afx_msg void OnBtnShowstatemon();
	//}}AFX_MSG
	LONG OnUserLButtonDown(WPARAM wParam, LPARAM lParam);
	LONG OnUserLButtonUp(WPARAM wParam, LPARAM lParam);
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SXMOTIONDLG_H__0927327E_3E58_499D_AE6D_7BC1F83DDBC4__INCLUDED_)
